#include <vector>
#include <iostream>
#include <ctime>
#include <cstdlib>

#include "imprimir.h"

// Aunque en el enunciado no se pide, escribiremos la funcin ordenar como
// una funcin de plantilla.
template <typename T>
void ordenar(std::vector<T> &v)
{
    typedef typename std::vector<T>::iterator iterator;

    for (size_t i = v.size() - 1; i > 0; --i) {
        for (size_t j = 0; j < i; ++j) {
            if (v[j + 1] < v[j])
                std::swap(v[j], v[j + 1]);
        }
    }
}

int main(int argc, char *argv[])
{
    std::srand(std::time(0));
    std::vector<int> v;
    for (int i = 0; i < 20; ++i)
        v.push_back(std::rand() % 100);

    std::cout << v << std::endl;
    ordenar(v);
    std::cout << v << std::endl;

}

