#include <iostream>
#include <string>
#include <vector>
#include "imprimir.h"

int main(int argc, char *argv[])
{
    std::vector<std::string> palabras;
    while (!std::cin.eof()) {
        std::string palabra;
        std::cin >> palabra;
        // En la llamada anterior la operacin de extraccin anterior falla
        // en caso de que hubiese espacios en blanco despus de la ltima
        // palabra y antes del fin de lnea. Antes de insertar la palabra en
        // el vector debemos comprobar que eso no ha sucedido.
        if (!std::cin.fail())
            palabras.push_back(palabra);
    }
    
    std::vector<std::string>::iterator i = palabras.begin();
    while (i != palabras.end()) {
        if (i->find_first_of('a') != std::string::npos) {
            i = palabras.erase(i);
        } else {
            ++i;
        }
    }
    std::cout << palabras << std::endl;
}
