#include <vector>
#include <cstdlib>
#include <ctime>
#include <iostream>

int main(int argc, char *argv[])
{
    // Inicializacin del generador de nmeros aleatorios usando la funcin
    // time como semilla.
    std::srand(std::time(0));

    std::vector<int> v1, v2;
    for (int i = 0; i < 10000; ++i) {
        v1.push_back(std::rand() % 101);
        v2.push_back(std::rand() % 101);
    }

    // Creamos el vector que contiene la lista con el mayor de los 
    // elementos de cada vector para cada posicin.
    std::vector<int> v;
    for (std::vector<int>::const_iterator i = v1.begin(), j = v2.begin();
         i != v1.end(); ++i, ++j) {
        v.push_back(*i > *j ? *i : *j);
    }

    // Ahora calculamos la media.
    int acumulador = 0;
    for (std::vector<int>::const_iterator i = v.begin(); i != v.end(); ++i)
        acumulador += *i;
    float media = acumulador / float(v.size());
    
    std::cout << media << std::endl;
}
